Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Class Comment

- Defined in: Comment.js
- Extends Story

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Comment(parent)

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> | _children
<static> | Comment.getStatus
| name
| parent
| story

Fields borrowed from class Story:
  commentMode, comments, created, creator, metadata, mode, modified, modifier, parent_id, parent_type, prototype, requests, site, status, tags, text, title

## Method Summary

Method Attributes | Method Name and Description
--- | ---
| creator_macro()
| getConfirmText()
| getMacroHandler(name)
| getPermission(action)
| href(action)
| link_macro(param, action, text)
| modifier_macro()
<static> | Comment.remove(options)
| text_macro()
| update(data)

Methods borrowed from class Story:
  comments_macro
  count
  format_filter
  getDelta
  getFormOptions
  getFormValue
  getTitle
  isCustomContent
  macro_filter
  referrers_macro
  setCustomContent
  summary_macro
  tags_macro
  url_filter
Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  deleteMetadata
  getMetadata
  getTags
  handleMetadata
  input_macro
  kind_macro
  link_filter
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  notify
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Comment(parent)

Parameters:
{Object} parent

## Field Detail

<private> {Comment[]} _children
<static> Comment.getStatus

See:
  defineConstants

{String} name
{Story|Comment} parent
{Story} story

## Method Detail

- creator_macro()
- {String} getConfirmText()
  Returns:
    {String}
- {HopObject} getMacroHandler(name)
  Parameters:
  {String} name
  Returns:
    {HopObject}
- {Boolean} getPermission(action)
  Parameters:
  {Object} action
  Returns:
    {Boolean}
- {String} href(action)
  Parameters:
  {Object} action
  Returns:
    {String}
- link_macro(param, action, text)
  Parameters:
  {Object} param
  {Object} action
  {Object} text
- modifier_macro()
- <static> {String} Comment.remove(options)
  Parameters:
  options
  Returns:
    {String}
- text_macro()
- update(data)
  Parameters:
  {Object} data